Subject: [Netconf] Fwd: New Version Notification for draft-lengyel-netconf-notification-capabilities-00.txt

From: Balazs Lengyel <[email-masked]>
Date: Fri, 9 Mar 2018 16:32:17 +0100

Hello,

In the YangPush work we agreed that often a server supporting
YangPush on-change notifications will not be able to send such
notifications for every data node. https://tools.ietf.org/html/draft-ietf-netconf-yang-push-14#section-3.10

With Alex I prepared a draft about how to specify and document:
for which data nodes a YANG server will send YangPush on-change
notifications. It proposes a YANG model allowing a user to fetch
the data in run-time and the usage of instance data to document it
in implementation time.

IMHO the need for a solution to document this capability is very
strong as I was told by some of our customer network operators. We
separated it from the YangPush draft as it was not easy to agree
on a solution, but the need is still present.

regards Balazs

-------- Forwarded Message --------

Subject:

New Version Notification for
draft-lengyel-netconf-notification-capabilities-00.txt

Date:

Fri, 23 Feb 2018 05:08:00 -0800

From:

[email-masked]

To:

Alexander Clemm <[email-masked]>, Balazs Lengyel
<[email-masked]>

A new version of I-D, draft-lengyel-netconf-notification-capabilities-00.txt
has been successfully submitted by Balazs Lengyel and posted to the
IETF repository.

Name: draft-lengyel-netconf-notification-capabilities
Revision: 00
Title: YangPush Notification Capabilities
Document date: 2018-02-22
Group: Individual Submission
Pages: 9
URL: https://www.ietf.org/internet-drafts/draft-lengyel-netconf-notification-capabilities-00.txt
Status: https://datatracker.ietf.org/doc/draft-lengyel-netconf-notification-capabilities/
Htmlized: https://tools.ietf.org/html/draft-lengyel-netconf-notification-capabilities-00
Htmlized: https://datatracker.ietf.org/doc/html/draft-lengyel-netconf-notification-capabilities-00

Abstract:
This document proposes a YANG module that allows a YANG server to
specify for which data nodes it will send "YANG Datastore
Subscription" on-change notifications. It also proposes to use YANG
Instance Data to document this information in implementation time.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]